package com.mortals.xhx.module.resource.model;
import java.util.List;
import java.util.ArrayList;
import java.math.BigDecimal;
import cn.hutool.core.date.DateUtil;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.resource.model.vo.ResourceImageVo;
import lombok.Data;
/**
 * 图片资源实体对象
 *
 * @author zxfei
 * @date 2025-01-02
 */
@Data
public class ResourceImageEntity extends ResourceImageVo {
    private static final long serialVersionUID = 1L;

    /**
     * 名称
     */
    private String imageName;
    /**
     * 资源类型
     */
    private Integer imageType;
    /**
     * 图片地址
     */
    private String url;
    /**
     * 备注
     */
    private String remark;
    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof ResourceImageEntity) {
            ResourceImageEntity tmp = (ResourceImageEntity) obj;
            if (this.getId() == tmp.getId()) {
                return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
        this.imageName = "";
        this.imageType = 1;
        this.url = "";
        this.remark = "";
    }
}